Bug 1342556 - [abrt] gparted: GParted::OperationDelete::get_partition_new(): gpartedbin killed by SIGABRT
Summary: [abrt] gparted: GParted::OperationDelete::get_partition_new(): gpartedbin kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c2acf439fd564ac4938514ded97...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 13:58 UTC by Vivek N Mohan
Modified: 2016-06-28 10:23 UTC (History)
3 users (show)

Fixed In Version: gparted-0.26.1-1.fc23 gparted-0.26.1-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-24 23:22:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.00 KB, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: cgroup (200 bytes, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: core_backtrace (9.09 KB, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: dso_list (10.31 KB, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: environ (221 bytes, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: maps (52.09 KB, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: mountinfo (3.68 KB, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: namespaces (85 bytes, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: open_fds (679 bytes, text/plain)
2016-06-03 13:58 UTC, Vivek N Mohan
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-06-03 13:59 UTC, Vivek N Mohan
no flags Details
File: var_log_messages (300 bytes, text/plain)
2016-06-03 13:59 UTC, Vivek N Mohan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 767233 0 None None None 2016-06-04 13:50:59 UTC

Description Vivek N Mohan 2016-06-03 13:58:30 UTC
Version-Release number of selected component:
gparted-0.26.0-3.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: GParted::OperationDelete::get_partition_new
executable:     /usr/sbin/gpartedbin
global_pid:     2820
kernel:         4.4.9-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 GParted::OperationDelete::get_partition_new at OperationDelete.cc:41
 #5 GParted::Win_GParted::activate_delete at Win_GParted.cc:2059
 #6 sigc::slot0<void>::operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
 #7 Glib::SignalProxyNormal::slot0_void_callback at signalproxy.cc:91
 #12 gtk_widget_activate at gtkwidget.c:5048
 #13 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #14 gtk_menu_shell_button_release at gtkmenushell.c:730
 #15 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #20 gtk_widget_event_internal at gtkwidget.c:5017
 #21 gtk_widget_event at gtkwidget.c:4814

Comment 1 Vivek N Mohan 2016-06-03 13:58:36 UTC
Created attachment 1164518 [details]
File: backtrace

Comment 2 Vivek N Mohan 2016-06-03 13:58:38 UTC
Created attachment 1164519 [details]
File: cgroup

Comment 3 Vivek N Mohan 2016-06-03 13:58:42 UTC
Created attachment 1164520 [details]
File: core_backtrace

Comment 4 Vivek N Mohan 2016-06-03 13:58:47 UTC
Created attachment 1164521 [details]
File: dso_list

Comment 5 Vivek N Mohan 2016-06-03 13:58:49 UTC
Created attachment 1164522 [details]
File: environ

Comment 6 Vivek N Mohan 2016-06-03 13:58:51 UTC
Created attachment 1164523 [details]
File: limits

Comment 7 Vivek N Mohan 2016-06-03 13:58:53 UTC
Created attachment 1164524 [details]
File: maps

Comment 8 Vivek N Mohan 2016-06-03 13:58:55 UTC
Created attachment 1164525 [details]
File: mountinfo

Comment 9 Vivek N Mohan 2016-06-03 13:58:57 UTC
Created attachment 1164526 [details]
File: namespaces

Comment 10 Vivek N Mohan 2016-06-03 13:58:59 UTC
Created attachment 1164527 [details]
File: open_fds

Comment 11 Vivek N Mohan 2016-06-03 13:59:02 UTC
Created attachment 1164528 [details]
File: proc_pid_status

Comment 12 Vivek N Mohan 2016-06-03 13:59:04 UTC
Created attachment 1164529 [details]
File: var_log_messages

Comment 13 Mike Fleetwood 2016-06-04 08:52:03 UTC
I have raised this upstream bug to track and resolve this failure with
GParted.

GNOME 767233 - GParted core dump on assert failure in
               OperationDelete::get_partition_new()
https://bugzilla.gnome.org/show_bug.cgi?id=767233

Thanks,
Mike Fleetwood (GParted Developer)

Comment 14 Mike Fleetwood 2016-06-13 18:45:19 UTC
This has been fixed and is included in the new GParted 0.26.1 released
today.
http://gparted.org/news.php?item=201

This is the fix that was applied to GParted (from the GNOME bug) in case
you want to apply just this fix rather than update to GParted 0.26.1.
https://bug767233.bugzilla-attachments.gnome.org/attachment.cgi?id=329122

Note that the bug was introduced in GParted 0.26.0 so there is no need
to try to apply the fix to any earlier releases.

Thanks,
Mike

Comment 15 Fedora Update System 2016-06-19 01:30:08 UTC
gparted-0.26.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fba00cf6b5

Comment 16 Fedora Update System 2016-06-19 01:30:19 UTC
gparted-0.26.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e4a3e38425

Comment 17 Fedora Update System 2016-06-20 20:54:48 UTC
gparted-0.26.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fba00cf6b5

Comment 18 Fedora Update System 2016-06-20 21:21:33 UTC
gparted-0.26.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e4a3e38425

Comment 19 Fedora Update System 2016-06-24 23:22:38 UTC
gparted-0.26.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-06-28 10:23:14 UTC
gparted-0.26.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.